import 'dart:convert';

import 'package:json_annotation/json_annotation.dart';

part 'room_account_data.g.dart';

@JsonSerializable()
class RoomAccountData {
  Map<String, double> tags = {};

  String toString() => jsonEncode(toJson());

  static const fromJson = _$RoomAccountDataFromJson;

  Map<String, dynamic> toJson() => _$RoomAccountDataToJson(this);
}
