import 'dart:convert';

import 'package:json_annotation/json_annotation.dart';
import 'package:libaqueous/src/api/events/model/event.dart';

part 'room_timeline.g.dart';

@JsonSerializable()
class RoomTimeline {
  String prevToken;

  List<Event> events = [];

  String toString() => jsonEncode(toJson());

  static const fromJson = _$RoomTimelineFromJson;

  Map<String, dynamic> toJson() => _$RoomTimelineToJson(this);
}
