import 'dart:convert';

import 'package:json_annotation/json_annotation.dart';

part 'user_state.g.dart';

@JsonSerializable()
class UserState {
  String userID;
  String name;

  Uri avatarUrl;

  String toString() => jsonEncode(toJson());

  static const fromJson = _$UserStateFromJson;

  Map<String, dynamic> toJson() => _$UserStateToJson(this);
}
